Receive payment notifications at your merchant HTTPS endpoint. These are callbacks sent to your application, not requests you send to the gateway.
Receive PPR Payment Webhook
Merchant Callback Endpoint
The callback endpoint is an HTTPS URL hosted by the merchant and provided to the IZI Pay development team during setup. This is the endpoint where IZI Pay sends payment status updates and notifications.
Along with the callback URL, the merchant must also provide an Access-Key. IZI Pay includes this key in the request headers of every callback request so that the merchant can authenticate and validate incoming notifications.
The merchant is responsible for ensuring that the callback endpoint is publicly accessible and capable of receiving and processing requests from IZI Pay.
This callback applies to PPR references created through the current API.
Summary
During onboarding, the merchant must provide the following details to the IZI Pay development team:
- Callback URL: The HTTPS endpoint where IZI Pay will send payment status notifications.
- Access-Key: A secret value chosen and provided by the merchant. IZI Pay includes this value in the request headers of every callback request, allowing the merchant to verify that the notification originated from IZI Pay.
Headers
Access-KeyAccess key chosen or generated by the merchant for this webhook. IZI Pay sends this same value in the Access-Key header so your endpoint can authenticate the notification.
Receive PPR Payment Webhook › Request Body
idTransacaoTransaction identifier.
numLogSistemaSystem log number associated with the payment notification.
idLogSistemaSystem period/log identifier.
dataTransaccaoClienteDate and time when the customer payment was registered.
montantePagoAmount paid by the customer.
tipoTerminalTerminal type used for the payment.
iIdentTerminalTerminal identifier.
localidadeTerminalTerminal location.
refPagamentoPayment reference paid by the customer.
IdUnique notification identifier. Use this value for idempotency.
nibDebit account NIB, when available.
bancoBank name, when available.
Receive PPR Payment Webhook › Responses
Return HTTP 2xx with Success: true when the notification was processed successfully or was already processed before.
SuccessReturn true when the notification was processed successfully or was already processed before.
ObsShort processing note.
IdMerchant internal payment identifier.
Receive QR Code Payment Webhook
Merchant Callback Endpoint
The callback endpoint is an HTTPS URL hosted by the merchant and provided to the IZI Pay development team during setup. This is the endpoint where IZI Pay sends payment status updates and notifications.
Along with the callback URL, the merchant must also provide an Access-Key. IZI Pay includes this key in the request headers of every callback request so that the merchant can authenticate and validate incoming notifications.
The merchant is responsible for ensuring that the callback endpoint is publicly accessible and capable of receiving and processing requests from IZI Pay.
This callback applies to GPO QR Code payments created through the Payments API.
Summary
During onboarding, the merchant must provide the following details to the IZI Pay development team:
- Callback URL: The HTTPS endpoint where IZI Pay will send payment status notifications.
- Access-Key: A secret value chosen and provided by the merchant. IZI Pay includes this value in the request headers of every callback request, allowing the merchant to verify that the notification originated from IZI Pay.
Headers
Access-KeyAccess key chosen or generated by the merchant for this webhook. IZI Pay sends this same value in the Access-Key header so your endpoint can authenticate the notification.
Receive QR Code Payment Webhook › Request Body
creationDateDate and time when the QR Code transaction was created.
updatedDateDate and time when the QR Code transaction status was updated.
idUnique provider transaction identifier. Use this value for idempotency.
amountAmount paid by the customer.
clearingPeriodClearing period associated with the transaction.
transactionNumberProvider transaction number.
statusQR Code payment status.
transactionTypeTransaction type.
orderOriginPayment order origin.
currencyPayment currency.
merchantReferenceNumberMerchant reference number associated with the QR Code payment.
Receive QR Code Payment Webhook › Responses
Return HTTP 2xx with Success: true when the notification was processed successfully or was already processed before.
SuccessReturn true when the notification was processed successfully or was already processed before.
ObsShort processing note.
IdMerchant internal payment identifier.